#ifndef PIAPPLMAC_H_SEEN
#define PIAPPLMAC_H_SEEN

#include "piapplgen.h"

class LApplication;
class PIApplicationMac : public PIApplicationGen {
public:
					PIApplicationMac(int sx=200, int sy=30, int narg=0, char *arg[]=NULL);
	virtual		   ~PIApplicationMac();
	
	virtual void    Run();
	virtual void    Stop();
	
  virtual int     PrefXSize();
  virtual int     PrefYSize();

        virtual void              RedirectOutStream(PIConsole* cons, unsigned char va= PIVA_Def);
        virtual void              RedirectErrStream(PIConsole* cons, unsigned char va= PIVA_Ital);
//protected:
	LApplication* macAppli;
};

typedef PIApplicationMac PIApplication;

#endif
